# API Reference

## Domains

Dive into the specifics of each API endpoint by checking out our complete documentation.

Production Base URL:

* <mark style="color:purple;"><https://api.1konto.com></mark>

## Available Services

*<mark style="color:orange;">Accounting</mark>*: Ability to query account information.

URL Prefix: <mark style="color:orange;">`/api/v1/accounting/`</mark>

*<mark style="color:orange;">Identity</mark>*: Ability to login so you may access authorized available endpoints.

URL Prefix: <mark style="color:orange;">`/api/v1/identity/`</mark>

*<mark style="color:orange;">Routing</mark>*: Ability to obtain indicative asset quotes, submit orders and query orders.

URL Prefix: <mark style="color:orange;">`/api/v1/routing/`</mark>

## Required Headers

<mark style="color:orange;">`Content-Type: application/json`</mark> : for all requests unless otherwise specified. <mark style="color:orange;">`Authorization: Bearer {token}`</mark> : for all auth required requests.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1konto.com/1konto-v1.0-api-docs/reference/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
